## ampache 3.6-rzb2752+dfsg

=== debian/changelog ===
ampache (3.6-rzb2752+dfsg-9) unstable; urgency=medium

  * QA upload.
  * Imported source packages from snapshot.debian.org into git and
    publish as collab-maint.
  * Updated Standards-Version from 3.9.4 to 3.9.8.
  * Fix typos discovered by lintian.
  * Updated with fixes found in Ubuntu:
    - Invoke apache2-maintscript-helper properly in postinst and
      postrm.
    - Added 04_rename_error_to_amperror.patch for php7 compatibility.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 10 Sep 2016 09:28:56 +0200

ampache (3.6-rzb2752+dfsg-8) unstable; urgency=medium

  * QA upload.
  * Rebuild against current versions of php-getid3, libphp-phpmailer.
  * PHP 7.0 Transition: Replace all package relationships against *php5*
    with *php*.  (Closes: #821470)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Apr 2016 15:30:55 +0200

ampache (3.6-rzb2752+dfsg-7) unstable; urgency=medium

  * QA upload.
  * Rebuild against current version of php-getid3.  (Closes: #784859)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Nov 2015 12:18:08 +0100

ampache (3.6-rzb2752+dfsg-6) unstable; urgency=medium

  * QA upload.
  * Rebuild against current versions of php-getid3, libphp-phpmailer.
    (Closes: #784859)
  * d/copyright: Fix syntax issues, drop obsolete sections.
  * Switch (Build-)Depends from ttf-freefont to fonts-freefont-ttf.
    (Closes: #738217)
  * Add alternative Suggests: virtual-mysql-server.  (Closes: #781981)
  * Add lintian overrides for package-contains-broken-symlink caused by
    dh_linktree usage.
  * Update watch file.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 23:05:29 +0200

ampache (3.6-rzb2752+dfsg-5) unstable; urgency=high

  * QA upload.
  * Rebuild package against libphp-snoopy 2.0.0

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 19 Mar 2015 23:06:42 -0200

ampache (3.6-rzb2752+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Orphan package, maintainer address bounces.
    Thanks to Ansgar Burchardt <ansgar@debian.org> (Closes: #765913)

 -- Tobias Quathamer <toddy@debian.org>  Thu, 23 Oct 2014 09:36:29 +0200

ampache (3.6-rzb2752+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add German Debconf translation. Closes: #735101
  * Rebuilt version is installable again in sid. Closes: #749237

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 26 Sep 2014 19:49:38 +0200

ampache (3.6-rzb2752+dfsg-3) unstable; urgency=low

  * Added php5-json to ampache depends.
  * Updated ampache, ampache-common Replace and Breaks fields with new 
    version.
  * Have ucf actually track the amapche.conf file and not the symlink.
    Closes: #722548
  * Rebuild package against php-getid3-1.9.7.  Closes: #728601

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 06 Nov 2013 04:22:02 -0500

ampache (3.6-rzb2752+dfsg-2) unstable; urgency=low

  * Neglected to update ampache-common Replace and Breaks fields. 
    Closes: #722561
  * Updated ampache.postrm ucf call to use the --force --purge options so the
    new package in ampache-common Replace/Breaks field can claim the new
    conf file on upgrades.  Closes: #722548 

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 12 Sep 2013 12:45:12 -0500

ampache (3.6-rzb2752+dfsg-1) unstable; urgency=low

  * New upsteam snapshot.  Contains important bug fixes to the installer.
  * Correct typo in ampache-common.postrm.
  * Remove courtousy copy of php-getid3, during repack.  Closes: #701526
  * Update package to use dh_linktree to make the needed sym links to the
    needed system libs that were removed during repack.
  * Update debian/rules to reflect upstreams removing/moving of modules.
  * Update debian/ampache-common.install to reflect upstreams removal of files.
  * Updated to use new apache2.4 API. Closes: #669756
  * Updated /debian/po/de.po thx David Prévot for the patch.  Closes:  #691963
  * M3U import is now ordered, fixed upstream.  Closes: #684984
  * Text input area has been resized so IPv6 addresses will now fit, fixed
    upstream.  Closes:  #716230
  * Added ampache-common.preinst to make sure that the courtousy copies of code
    dirs are empty so dh_linktree can do it's magic on upgrades.

 -- Charlie Smotherman <cjsmo@cableone.net>  Tue, 27 Aug 2013 13:19:48 -0500

=== debian/control ===
Source: ampache
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.ampache.org
Build-Depends: debhelper (>= 8.1.0),
 xz-utils,
 po-debconf,
 apache2-dev,
 ucf,
 dh-linktree,
 libjs-prototype,
 php-gettext,
 libphp-phpmailer,
 libphp-snoopy,
 fonts-freefont-ttf,
 php-getid3,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ampache.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ampache.git

Package: ampache
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends},
 debconf (>= 0.5) | debconf-2.0,
 libapache2-mod-php | php,
 ampache-common (>= 3.6-rzb2704+dfsg-3),
 php-cli,
 php-mysql,
 php-xmlrpc,
 php-json,
 ucf
Recommends: ${misc:Recommends}, ampache-themes (>= 3.6.1-2), apache2 | httpd,
Suggests: php-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
Description: web-based audio file management system
 Ampache is a web-based audio file manager implemented with PHP and
 MySQL which allows viewing, editing, and playing audio files via the
 web. It has support for playlists, artist and album views, album art,
 random or vote-based play and per-user play-tracking/theming.
 Playback may be via HTTP, on-the-fly transcoding and downsampling,
 Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
 be linked together using XML-RPC. The software is fully localized in many
 languages.

Package: ampache-common
Architecture: all
Depends: ${misc:Depends},
 php-gettext,
 libjs-prototype,
 libphp-phpmailer,
 libphp-snoopy,
 fonts-freefont-ttf,
 php-getid3 (>= 1.9.5)
Replaces: ampache (<< 3.6-rzb2752+dfsg-3)
Breaks: ampache (<< 3.6-rzb2752+dfsg-3)
Suggests:
 ampache,
 php-gd,
 phpmyadmin,
 mysql-server | virtual-mysql-server,
 eyed3,
 faad,
 vorbis-tools,
Description: web-based audio file management system common files
 This package provides common files for Ampache. This package is server
 independent and is intended for users who wish to use other web servers,
 virtual environments, or LXC's to deploy Ampache.
 .
 Ampache is a web-based audio file manager implemented with PHP and
 MySQL which allows viewing, editing, and playing audio files via the
 web. It has support for playlists, artist and album views, album art,
 random or vote-based play and per-user play-tracking/theming.
 Playback may be via HTTP, on-the-fly transcoding and downsampling,
 Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
 be linked together using XML-RPC. The software is fully localized in many
 languages.

=== debian/watch ===
version=3
opts=dversionmangle=s/\.*dfsg\.\d+$//,uversionmangle=s/-(alpha|beta)/~$1/ \
https://github.com/ampache/ampache/releases .*/archive/(.*)\.tar\.gz

#The current version of Ampache is a git snapshot, with the tarball being created
#in debian/rules get-orig-source target.

## ampache 3.6-rzb2779%2Bdfsg

=== debian/changelog ===
ampache (3.6-rzb2779+dfsg-0ubuntu9) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 12 Feb 2016 08:14:01 -0800

ampache (3.6-rzb2779+dfsg-0ubuntu8) xenial; urgency=medium

  * No-change rebuild against php-getid3 1.9.11+dfsg.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Dec 2015 05:03:04 +0000

ampache (3.6-rzb2779+dfsg-0ubuntu7) xenial; urgency=medium

  * No-change rebuild against libphp-phpmailer 5.2.14+dfsg.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Dec 2015 13:10:12 +0000

ampache (3.6-rzb2779+dfsg-0ubuntu6) xenial; urgency=medium

  * No-change rebuild against php-getid3 1.9.10+dfsg.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Oct 2015 13:49:35 +0000

ampache (3.6-rzb2779+dfsg-0ubuntu5) wily; urgency=medium

  * No-change rebuild against libphp-phpmailer 5.2.10+dfsg and php-getid3
    1.9.9+dfsg.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jun 2015 12:29:27 +0100

ampache (3.6-rzb2779+dfsg-0ubuntu4) vivid; urgency=medium

  * No-change rebuild against php-phpmailer 5.2.9+dfsg.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Oct 2014 15:12:56 +0000

ampache (3.6-rzb2779+dfsg-0ubuntu3) utopic; urgency=medium

  * No-change rebuild against php-phpmailer 5.2.8+dfsg.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jul 2014 17:35:25 +0100

ampache (3.6-rzb2779+dfsg-0ubuntu2) utopic; urgency=medium

  * No-change rebuild against php-getid3 1.9.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 May 2014 13:38:15 +0100

ampache (3.6-rzb2779+dfsg-0ubuntu1) trusty; urgency=low

  * New Upstream snapshot.
  * Update german translation (de.po).  Thx Helge Kreutzmann for the
    translation.  Closes: #735101
  * Update Standards Version to 3.9.5.
  * Update Replaces, Breaks so package upgrade properly.
  * Invoke apache2-maintscript-helper properly in postinst and postrm.

 -- Charlie Smotherman <cjsmo@cableone.net>  Fri, 17 Jan 2014 12:48:10 -0500

## ampache 3.6-rzb2779+dfsg

=== debian/control ===
Source: ampache
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
Homepage: http://www.ampache.org
Build-Depends: debhelper (>= 8.1.0),
 xz-utils,
 po-debconf,
 apache2-dev,
 ucf,
 dh-linktree,
 libjs-prototype,
 php-gettext,
 libphp-phpmailer,
 libphp-snoopy,
 ttf-freefont,
 php-getid3, 
Standards-Version: 3.9.5

Package: ampache
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends},
 debconf (>= 0.5) | debconf-2.0,
 libapache2-mod-php5 | php5,
 ampache-common (>= 3.6-rzb2779+dfsg-0ubuntu1),
 php5-cli,
 php5-mysql,
 php5-xmlrpc,
 php5-json,
 ucf
Replaces: ampache (<< 3.6-rzb2779+dfsg-0ubuntu1)
Breaks: ampache (<< 3.6-rzb2779+dfsg-0ubuntu1)
Recommends: ${misc:Recommends}, ampache-themes (>= 3.6.1-2), apache2 | httpd,
Suggests: php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
Description: web-based audio file management system
 Ampache is a web-based audio file manager implemented with PHP and
 MySQL which allows viewing, editing, and playing audio files via the
 web. It has support for playlists, artist and album views, album art,
 random or vote-based play and per-user play-tracking/theming.
 Playback may be via HTTP, on-the-fly transcoding and downsampling,
 Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
 be linked together using XML-RPC. The software is fully localized in many
 languages.

Package: ampache-common
Architecture: all
Depends: ${misc:Depends},
 php-gettext,
 libjs-prototype,
 libphp-phpmailer,
 libphp-snoopy,
 ttf-freefont,
 php-getid3 (>= 1.9.5)
Replaces: ampache (<< 3.6-rzb2779+dfsg-0ubuntu1)
Breaks: ampache (<< 3.6-rzb2779+dfsg-0ubuntu1)
Suggests: ampache, php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
Description: web-based audio file management system common files
 This package provides common files for Ampache. This package is server
 independent and is intended for users who wish to use other web servers, 
 virtual enviroments, or LXC's to deploy Ampache.
 .  
 Ampache is a web-based audio file manager implemented with PHP and
 MySQL which allows viewing, editing, and playing audio files via the
 web. It has support for playlists, artist and album views, album art,
 random or vote-based play and per-user play-tracking/theming.
 Playback may be via HTTP, on-the-fly transcoding and downsampling,
 Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
 be linked together using XML-RPC. The software is fully localized in many
 languages.

=== debian/watch ===
version=3
#opts=dversionmangle=s/\.*dfsg\.\d+$//,filenamemangle=s/.*-(.*)/$1/ \
#http://ampache.org/downloads/ampache-(3.*)\.tar\.gz

The current version of Ampache is a git snapshot, with the tarball being created
in debian/rules get-orig-source target.

## ampache browser-1.0.7

=== CMakeLists.txt ===
# CMakeLists.txt
#
# Project: Ampache Browser
# License: GNU GPLv3
#
# Copyright (C) 2015 - 2023 Róbert Čerňanský



cmake_minimum_required(VERSION 3.13)
project(ampache_browser VERSION 1.0.7)
set(VERSION_EXTRA "")
set(soVersion 0)

include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(FindIntl)

# because we want to support Qt <5.15 the versionless targets and functions can not be used; so disable them for all
# Qt versions in order minimize variability of environments and reduce risk of mistakes
set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

option(USE_QT6 "Use Qt6 instead of Qt5" ON)

# determine major version of Qt and store it to qt_VERSION_MAJOR variable
if (${USE_QT6})
    find_package(qt NAMES Qt6 REQUIRED COMPONENTS Core)
else()
    find_package(qt NAMES Qt5 REQUIRED COMPONENTS Core)
endif()
message(STATUS "Using Qt major version: " ${qt_VERSION_MAJOR})

find_package(Qt${qt_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Concurrent)

set(sources
    src/infrastructure/filesystem.cc
    src/infrastructure/os_paths.cc
    src/infrastructure/string_encoding.cc
    src/infrastructure/event/delegate_void.cc
    src/infrastructure/event/event_void.cc
    src/infrastructure/logging/logging.cc
    src/infrastructure/logging/qt_logger/set_qt_logger_default_message_pattern.cc
    src/infrastructure/logging/qt_logger/qt_logger.cc
    src/domain/album.cc
    src/domain/track.cc
    src/domain/artist.cc
    src/data/data_objects/track_data.cc
    src/data/data_objects/artist_data.cc
    src/data/data_objects/album_data.cc
    src/data/providers/connection_info.cc
    src/data/providers/ampache/ampache_url.cc
    src/data/providers/ampache/scale_album_art_runnable.cc
    src/data/providers/ampache/ampache.cc
    src/data/providers/cache.cc
    src/data/indices.cc
    src/data/filters/artist_filter_for_albums.cc
    src/data/filters/artist_filter_for_tracks.cc
    src/data/filters/album_filter_for_tracks.cc
    src/data/filters/name_filter_for_artists.cc
    src/data/filters/name_filter_for_albums.cc
    src/data/filters/name_filter_for_tracks.cc
    src/data/repositories/track_repository.cc
    src/data/repositories/artist_repository.cc
    src/data/repositories/album_repository.cc
    src/ui/custom_proxy_style.cc
    src/ui/settings_dialog.cc
    src/ui/ampache_browser_main_window.cc
    src/ui/selected_items.cc
    src/ui/ui.cc
    src/application/models/request_group.cc
    src/application/models/request_groups.cc
    src/application/models/requests.cc
    src/application/models/artist_model.cc
    src/application/models/album_model.cc
    src/application/models/track_model.cc
    src/application/data_loader.cc
    src/application/filtering.cc
    src/application/settings_internal.cc
    src/application/ampache_browser_app.cc
    src/application/application.cc
    src/application/application_qt_internal.cc
    src/settings.cc
    src/ampache_browser.cc
    src/application_qt.cc)

# headers with QT meta objects
set(headersWithMo
    include/internal/application/models/artist_model.h
    include/internal/application/models/album_model.h
    include/internal/application/models/track_model.h
    src/data/providers/ampache/scale_album_art_runnable.h
    include/internal/data/providers/ampache.h
    include/internal/data/providers/cache.h
    src/ui/settings_dialog.h
    src/ui/ampache_browser_main_window.h
    include/internal/ui/ui.h)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
set(CMAKE_CXX_STANDARD 17)

option(USE_NLS "Build with native language support." ON)

add_subdirectory(src)
add_subdirectory(include)

set(libTarget ampache_browser)
set(libName ${libTarget}_${PROJECT_VERSION_MAJOR})

add_library(${libTarget} SHARED ${sources} ${headersWithMo})

set_target_properties(${libTarget} PROPERTIES
    OUTPUT_NAME ${libName}
    VERSION ${soVersion}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}
    SOVERSION ${soVersion}
    AUTOMOC ON)

target_include_directories(${libTarget}
    PRIVATE include/internal
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/public> $<INSTALL_INTERFACE:include/${libName}>)

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    target_compile_options(${libTarget} PRIVATE -Wall -Wextra -Wpedantic -Wtype-limits -Woverloaded-virtual
        -Wformat-security)
    target_link_options(${libTarget} PRIVATE "LINKER:--no-undefined")
endif()

target_compile_definitions(${libTarget}
    PRIVATE PACKAGE=\"${PROJECT_NAME}\"
    PRIVATE VERSION=\"${PROJECT_VERSION}$<$<BOOL:${VERSION_EXTRA}>:->${VERSION_EXTRA}\")
if (${USE_NLS})
    if (Intl_FOUND)
        target_compile_definitions(${libTarget} PRIVATE ENABLE_NLS)
    else()
        message(WARNING "Missing libintl. Native language support disabled.")
    endif()
endif()

target_link_libraries(${libTarget} PRIVATE ${Intl_LIBRARIES} Qt${qt_VERSION_MAJOR}::Core Qt${qt_VERSION_MAJOR}::Widgets
    Qt${qt_VERSION_MAJOR}::Concurrent)

set(configFileName ${libName}-config.cmake)
write_basic_package_version_file(${libName}-config-version.cmake COMPATIBILITY SameMajorVersion)
configure_file(${libTarget}-config.cmake.cmakein ${configFileName} COPYONLY)
configure_file(${libTarget}.pc.cmakein ${libName}.pc @ONLY)
generate_export_header(${libTarget} EXPORT_FILE_NAME ${PROJECT_SOURCE_DIR}/include/public/ampache_browser/export.h)

set(exportedLibTargets ${libName}-targets)
install(TARGETS ${libTarget} EXPORT ${exportedLibTargets}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(DIRECTORY include/public/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${libName}
    FILES_MATCHING PATTERN "*.h"
    PATTERN CMakeFiles EXCLUDE)
install(FILES ${PROJECT_BINARY_DIR}/${libName}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${PROJECT_BINARY_DIR}/${configFileName} ${PROJECT_BINARY_DIR}/${libName}-config-version.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${libName})

install(EXPORT ${exportedLibTargets} DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${libName})

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.cmakein"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== src/CMakeLists.txt ===

add_subdirectory(ui)

add_subdirectory(domain)

add_subdirectory(application)

add_subdirectory(infrastructure)

add_subdirectory(data)

=== include/internal/CMakeLists.txt ===
add_subdirectory(ui)

add_subdirectory(domain)

add_subdirectory(application)

add_subdirectory(infrastructure)

add_subdirectory(data)

=== include/internal/data/CMakeLists.txt ===

add_subdirectory(providers)

add_subdirectory(filters)

add_subdirectory(repositories)

=== include/internal/infrastructure/CMakeLists.txt ===

add_subdirectory(event)

add_subdirectory(logging)

## ampache browser-1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # Project: Ampache Browser
 # License: GNU GPLv3
 #
-# Copyright (C) 2015 - 2023 Róbert Čerňanský
+# Copyright (C) 2015 - 2024 Róbert Čerňanský
 
 
 
 cmake_minimum_required(VERSION 3.13)
-project(ampache_browser VERSION 1.0.7)
+project(ampache_browser VERSION 1.0.8)
 set(VERSION_EXTRA "")
 set(soVersion 0)

=== include/CMakeLists.txt ===
add_subdirectory(public)

add_subdirectory(internal)

=== include/public/CMakeLists.txt ===

add_subdirectory(ampache_browser)

=== src/data/CMakeLists.txt ===

add_subdirectory(providers)

add_subdirectory(data_objects)

add_subdirectory(filters)

add_subdirectory(repositories)

=== include/internal/application/CMakeLists.txt ===

add_subdirectory(models)

=== src/data/providers/CMakeLists.txt ===

add_subdirectory(ampache)

=== include/internal/infrastructure/logging/CMakeLists.txt ===

add_subdirectory(qt_logger)
